# bdm::mlnorm< sq_T > Class Template Reference

`#include <libEF.h>`

Inheritance diagram for bdm::mlnorm< sq_T >:

[legend]

List of all members.

## Detailed Description

### template<class sq_T>
class bdm::mlnorm< sq_T >

Normal distributed linear function with linear function of mean value;.

Mean value .

## Public Member Functions
| mlnorm ()
| Constructor.
void | set_parameters (const mat &A, const vec &mu0, const sq_T &R)
| Set `A` and `R`.
void | condition (const vec &cond)
| Set value of `rvc` . Result of this operation is stored in `epdf` use function `_ep` to access it.
vec & | _mu_const ()
| access function
mat & | _A ()
| access function
mat | _R ()
| access function
Matematical operations
virtual vec | samplecond (const vec &cond)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, int N)
| Returns.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
Access to attributes
RV | _rv ()
RV | _rvc ()
int | dimension ()
int | dimensionc ()
epdf & | _epdf ()
epdf * | _e ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Attributes
enorm< sq_T > | epdf
| Internal epdf that arise by conditioning on `rvc`.
mat | A
vec | mu_const
vec & | _mu
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf
## Friends
template<class sq_M>
std::ostream & | operator<< (std::ostream &os, mlnorm< sq_M > &ml)

## Member Function Documentation

virtual vec bdm::mpdf::samplecond | ( | const vec & | cond | ) | `[inline, virtual, inherited]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`

References bdm::mpdf::condition(), bdm::mpdf::ep, and bdm::epdf::sample().

Referenced by bdm::MPF< BM_T >::bayes(), bdm::PF::bayes(), and bdm::ArxDS::step().

virtual mat bdm::mpdf::samplecond_m | ( | const vec & | cond,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

References bdm::mpdf::condition(), bdm::epdf::dimension(), bdm::mpdf::ep, and bdm::epdf::sample().

The documentation for this class was generated from the following file:

- libEF.h